package cn.lttc.modules.lttcsamplescan.entity;


import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.io.Serializable;
import java.util.Date;

/**
 * @Description: lttc_info_main实体类
 * @Author: GDW
 * @Date:   2024-01-24
 * @Version: V1.0
 */

@Data
@TableName("lttc_info_main_new")
public class SampleScan {

    @TableField(value = "billNO")
    private String billNO;

    @TableField(value = "billDate")
    @DateTimeFormat(pattern = "yyyy-MM-dd")
    private Date billDate;

    @TableField(value = "exhibitionName")
    private String exhibitionName;

    @TableField(value = "receiver")
    private String receiver;

    @TableField(value = "customerName")
    private String customerName;

    @TableField(value = "exhibitionNote")
    private String exhibitionNote;

    @TableField(value = "fileSavePath")
    private String fileSavePath;

    @TableField(value = "editUser")
    private String editUser;

    @TableField(value = "editTime")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date editTime;

    @TableField(value = "createTime")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date createTime;

    @TableField(value = "ERPMarker")
    private Byte erpMarker = 0;

    @TableField(value = "uid")
    private String uid;


}
