package cn.lttc.modules.lttcsamplescan.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;

/**
 * @Description: lttc_info_detail实体类
 * @Author: GDW
 * @Date:   2024-01-24
 * @Version: V1.0
 */

@Data
@TableName("lttc_info_detail_new")
public class SampleScanDetail {

    @TableField(value = "uuid")
    private String uuid;

    @TableField(value = "billNO")
    private String billNO;

    @TableField(value = "barCode")
    private String barCode;

    @TableField(value = "bpQuantity")
    private String bpQuantity;

    @TableField(value = "gyQuantity")
    private String gyQuantity;

    @TableField(value = "myQuantity")
    private String myQuantity;

    @TableField(value = "note")
    private String note;

    @TableField(value = "fileSavePath")
    private String fileSavePath;

    @TableField(value = "createTime")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date createTime;

    @TableField(value = "ERPMarker")
    private Byte erpMarker = 0;

    @TableField(value = "publicId")
    private String publicId;

    @TableField(exist = false)
    private String id;

}
