package cn.lttc.modules.sysuser.service.impl;

import cn.dev33.satoken.util.SaResult;
import cn.lttc.modules.sysuser.entity.User;
import cn.lttc.modules.sysuser.mapper.SysUserMapper;
import cn.lttc.modules.sysuser.service.SysUserService;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import javax.swing.*;
import java.rmi.server.UID;
import java.util.UUID;

@Service
public class SysSysUserServiceImpl implements SysUserService {

    @Resource
    SysUserMapper sysUserMapper;

    @Override
    public SaResult add(User user) {
        user.setId(UUID.randomUUID().toString());
        sysUserMapper.addUser(user);
        return SaResult.ok("新增成功");
    }

    @Override
    public User getUserByUsername(String username) {
        User userByUserName = sysUserMapper.getUserByUserName(username);
        return userByUserName;
    }
}
